[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# MON Operation Overview

> K8s 기반의 **Node.js API** Front-End System Overview


# K8s Deployment Current Status

```
# kubectl get pods -o wide |grep mon
monitor-dbapi-74cb655d-8lxzb             1/1     Running   0          5d23h   10.244.4.7     tb3-docker   <none>           <none>
monitor-dbapi-74cb655d-grngk             1/1     Running   0          5d23h   10.244.3.253   tb3          <none>           <none>
monitor-nginx-7cdb67c44f-c7x47           1/1     Running   0          5d23h   10.244.3.252   tb3          <none>           <none>
monitor-nginx-7cdb67c44f-fb8tk           1/1     Running   0          5d23h   10.244.6.142   tb2          <none>           <none>
monitor-nodejs-f68967947-qz7bm           1/1     Running   0          5d23h   10.244.4.6     tb3-docker   <none>           <none>
monitor-nodejs-f68967947-vrchl           1/1     Running   0          5d23h   10.244.4.5     tb3-docker   <none>           <none>
```

# Docker Private Registry(harbor.hongsnet.net) Secret 

```
# kubectl create secret generic harbor-login --from-file=.dockerconfigjson=/root/.docker/config.json --type=kubernetes.io/dockerconfigjson
```
> Private Container Image에 대한 인증 Secret를 생성한다. 이는 다음의 Deployment에서 사용된다.


# monitor Deployment Role

- nginx
   - Nginx Web 서버이다.
   - **React 라이브러리로 Build 된 Static 코드를 제공해주는 역할을 담당**한다.
<br>

- node.js API
   - Node.js 기반의 Monitor API 이다.
   - **Web에서 요청하는 모든 데이터의 정보를 제공해주는 API 서버**이다.
   - **Alarm을 보내는 역할**을 수행한다.
<br>

- node.js DB API
   - Node.js 기반의 Monitor DB API 이다.
   - **대상 서버에 대한 정보(RDBMS)에 대한 리스트를 제공해주는 서버**이다.
 
